<?php 
ob_start();
session_start();
include "../config/config.php";
$allPermissions = $_SESSION['permission'];

$requestData= $_REQUEST;


/*Fetch Database column Details*/
        $columns = array( 
            0 =>'id', 
            1 =>'name', 
            2 =>'email',
            3 =>'password',
            4 =>'phone',
            5 =>'address',
            6 =>'role',
            7 =>'role_id',
            8 =>'id',
            9 =>'id'
           
        );
        
$conditions="";

$status = $_POST['status'];

if($status!=""){
    $conditions.=" and e.status=".$status;
}


        
/*Fetch All Data Start*/        
        
    	$statement = $pdo->prepare("SELECT e.*, cu.name as created_user_name, uu.name as updated_user_name 
    	FROM tbl_role e 
    	LEFT JOIN tbl_users cu ON cu.id=e.created_by
        LEFT JOIN tbl_users uu ON uu.id=e.updated_by
    	where e.id!=0 ".$conditions." ORDER BY e.id DESC");
		$statement->execute();
		$query = $statement->fetchAll(PDO::FETCH_ASSOC);
		$totalData = $statement->rowCount();
        $totalFiltered = $totalData;
/*Fetch All Data End*/       
        
/*Fetch Filter Data Start*/    
         $sql="SELECT e.*, cu.name as created_user_name, uu.name as updated_user_name
         FROM tbl_role e
         LEFT JOIN tbl_users cu ON cu.id=e.created_by
        LEFT JOIN tbl_users uu ON uu.id=e.updated_by
    	WHERE e.id!=0 ".$conditions;
         
        if( !empty($_REQUEST['search']) ) 
        {   
        	$sql.=" AND ( e.role_name LIKE '%".$_REQUEST['search']."%' ) ";  
        }
        
/*Fetch Filter Data End*/       
        


         $sql.=" ORDER BY ". $columns[$requestData['order'][0]['column']]."   ".$requestData['order'][0]['dir']."  LIMIT ".$requestData['start']." ,".$requestData['length']."   ";
       	
        $statement = $pdo->prepare($sql);
        $statement->execute();
		$query = $statement->fetchAll(PDO::FETCH_ASSOC);

$data = array();
$i=1;
foreach( $query as $row ) {  // preparing an array
	$nestedData=array(); 
	$action= "<div class='text-center'><div class='btn-group'>";
	 
	 	               $action.="<a style='padding: 6px;margin-right: 3px;' href='role-edit.php?id=".$row["id"]."' title='Edit Role' class='tip btn btn-warning btn-xs'>
		                    <i class='fa fa-edit'></i>
		                </a> ";
		 if($row['status']==1){
		     $action.=" <button style='padding: 6px;margin-right: 3px;' title='Delete Role' onClick='delete_Details(".$row["id"].")' class='tip btn btn-danger btn-xs'>
		                    <i class='fa fa-trash-o'></i>
		                </button>";
		 }else{
		     $action.=" <button style='padding: 6px;margin-right: 3px;' title='Delete Role' onClick='delete_HardDetails(".$row["id"].")' class='tip btn btn-danger btn-xs'>
		                    <i class='fa fa-trash-o'></i>
		                </button>";
		 }
		                
		                
	$action.="</div></div>";
	
	
	$nestedData[] = $action;	
	$nestedData[] = "<div class='text-center'>".$i."</div>";
	$nestedData[] = "<div class='text-center'>".$row["role_name"]."</div>";
	
	
	if($row["status"]==1){
	    $nestedData[] ="<div class='text-center'><span class='btn btn-success btn-xs'><i class='fa fa-eye'></i> Active</span></div>";
	}else if($row["status"]==0){
	    $nestedData[] ="<div class='text-center'><span class='btn btn-danger btn-xs' onClick='DynamicActive(".$row["id"].")' ><i class='fa fa-eye-slash'></i> In-Active</span></div>";
	}
	
	$nestedData[] = "<div class='text-center'>".$row["created_user_name"]."</div>";
	$nestedData[] = "<div class='text-center'>".$row['updated_user_name']."</div>";
	$nestedData[] = "<div class='text-center'>".date('d-m-Y h:i A', strtotime($row["created_at"]))."</div>";
    $nestedData[] = "<div class='text-center'>".date('d-m-Y h:i A', strtotime($row["updated_at"]))."</div>";    	
        	
	$data[] = $nestedData;
	$i++;
	

}

$json_data = array(
			"draw"            => intval( $requestData['draw'] ),  
			"recordsTotal"    => intval( $totalData ),  
			"recordsFiltered" => intval( $totalFiltered ), 
			"data"            => $data   
			);

echo json_encode($json_data); 




?>